import type { HighlightOptions, ShikiHighlighter, ShikiOptions } from "./types";
export declare const createHighlighter: Fn<MaybePromise<ShikiHighlighter>>;
export declare const createOptions: Fn<MaybePromise<ShikiOptions>>;
export declare function resolveOptions(shikiOptions: ShikiOptions, highlightOptions?: Partial<HighlightOptions>): HighlightOptions;
type Fn<T> = (...args: any[]) => T;
type MaybePromise<T> = T | Promise<T>;
export {};
